%define anolis_release 11
%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 23
%define full_release_version 23.2
%define dist .an%{base_release_version}

Name:           anolis-release
Version:        %{full_release_version}
Release:        %{anolis_release}%{?dist}
Summary:        %{product_family} %{base_release_version} release file
Group:          System Environment/Base
License:        MulanPSLv2
Obsoletes:      rawhide-release comps redhat-release centos-release
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}

Requires:       anolis-gpg-keys = %{version}-%{release}
Requires:       anolis-repos >= %{version}-%{release}

Source0:        EULA
Source1:        MulanPSL
Source2:	RPM-GPG-KEY-ANOLIS

Source10:	90-default.preset
Source11:	99-default-disable.preset

Source100:	AnolisOS.repo
Source101:      AnolisOS-Source.repo
Source102:      AnolisOS-Debuginfo.repo
Source103:      AnolisOS-DDE.repo

%description
%{product_family} %{base_release_version} release files


%package -n anolis-repos
Summary:        %{product_family} package repositories
Group:          System Environment/Base
Provides:       anolis-repos(%{base_release_version}) = %{full_release_version}
Requires:       system-release = %{full_release_version}
Requires:       anolis-gpg-keys = %{version}-%{release}

%description -n anolis-repos
%{product_family} package repository files for yum and dnf

%package -n anolis-gpg-keys
Summary:        %{product_family} RPM keys
Group:          System Environment/Base
BuildArch:      noarch

%description -n anolis-gpg-keys
%{product_family} RPM signature keys

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release
echo "%{product_family} release %{full_release_version}" > %{buildroot}/etc/%{name}
ln -s %{name} %{buildroot}/etc/system-release

# create /etc/os-release
cat << EOF >>%{buildroot}/etc/os-release
NAME="%{product_family}"
VERSION="%{full_release_version}"
ID="anolis"
VERSION_ID="%{full_release_version}"
PLATFORM_ID="platform:an%{base_release_version}"
PRETTY_NAME="%{product_family} %{full_release_version}"
ANSI_COLOR="0;31"
HOME_URL="https://openanolis.cn/"
BUG_REPORT_URL="https://bugzilla.openanolis.cn/"

EOF
# write cpe to /etc/system/release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE2} %{buildroot}/etc/pki/rpm-gpg

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE100} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE101} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE102} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE103} %{buildroot}/etc/yum.repos.d

# set up the dist tag macros
install -d -m 755 %{buildroot}%{_rpmmacrodir}
cat >> %{buildroot}%{_rpmmacrodir}/macros.dist << EOF
# dist macros.

%%anolis_ver %{base_release_version}
%%anolis     %{base_release_version}
%%anolis%{base_release_version} 1
%%dist %dist
%%dist_name           %{product_family}
%%dist_home_url       https://openanolis.cn/
%%dist_bug_report_url https://bugzilla.openanolis.cn/
EOF

# use unbranded datadir
mkdir -p -m 755 %{buildroot}/%{_datadir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}/%{_datadir}/%{name}

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE10} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE11} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/etc/system-release
/etc/%{name}
%config(noreplace) /etc/os-release
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%{_prefix}/lib/systemd/system-preset/*
%{_rpmmacrodir}/macros.dist
%{_docdir}/%{name}
%{_datadir}/%{name}

%files -n anolis-repos
%config(noreplace) /etc/yum.repos.d/*

%files -n anolis-gpg-keys
/etc/pki/rpm-gpg/

%changelog
* Wed Nov 06 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-11
- change full_release_version to 23.2

* Tue Nov 05 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-10
- add DDE repo

* Wed Sep 04 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-9
- change base_release_version to 23

* Wed Aug 07 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-8
- change release version to 23.1

* Wed May 22 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-7
- enabled kernel-6 by default

* Mon Jul 03 2023 happy_orange <songnannan@linux.alibaba.com> - 23-6
- change the official repo address

* Mon Jun 5 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 23-5
- Enable gdm.service by default

* Tue Apr 11 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 23-4
- Del Specific Fields

* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 23-3
- Move macros.dist into /usr/lib/rpm/macros.d
- Add several macros for downstream packages

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-2
- add Plus repo

* Wed Feb 09 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-1
- init for Anolis OS v23
